#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <netinet/in.h>
#include <string.h>

#define BUFFER_LENGTH 128

int main(int argc, const char *argv[])
{

    int sockfd;
    struct sockaddr_in broadcastaddr;
    char buffer[BUFFER_LENGTH] = "restore machine";

    if((sockfd = socket(AF_INET, SOCK_DGRAM, 0)) < 0)
    {
	printf("fail to socket\n");
    }

    broadcastaddr.sin_family = AF_INET;
    broadcastaddr.sin_addr.s_addr = inet_addr("255.255.255.255");
    broadcastaddr.sin_port = htons(8776);//WL

    int optval = 1;

    if(setsockopt(sockfd, SOL_SOCKET, SO_BROADCAST, &optval, sizeof(int)) < 0)
    {
        printf("fail to setsockopt\n");
	exit(-1);
    }

    while(1)
    {
        if(sendto(sockfd, buffer, strlen(buffer), 0, (struct sockaddr *)&broadcastaddr, sizeof(broadcastaddr)) < 0)
        {
            printf("error send broadcast message\n");
        }
	sleep(3);
    }
    return 0;
}
